For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PricingJoin CommunityGet API Key
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • POSTStream Speech
      • WSSWebSockets
  • Additional Resources
    • Try on Postman
LogoLogo
PricingJoin CommunityGet API Key
API ReferenceText to Speech - Streaming

WebSockets

WSS
wss://global.api.murf.ai/v1/speech/stream-input
Handshake
URLwss://global.api.murf.ai/v1/speech/stream-input
MethodGET
Status101 Switching Protocols
Messages
The channel for sending TTS requests and receiving audio responses. Use this WebSocket endpoint to stream text and receive audio in real time. Synthesize speech with ultra-low latency over a websocket connection. Choose the `Base URL` from a table below (Global URL or a Region URL) **Note**: Global URL auto-routes to the nearest region. | Region | URL | Default Concurrency | | ------------------------- | ---------------------------------------------- | -------------------- | | Global (Routes to the nearest server) | `https://global.api.murf.ai/v1/speech/stream` | Region specific concurrency | | US-East | `wss://us-east.api.murf.ai/v1/speech/stream-input` | 15 | | US-West | `wss://us-west.api.murf.ai/v1/speech/stream-input` | 2 | | India | `wss://in.api.murf.ai/v1/speech/stream-input` | 2 | | Canada | `wss://ca.api.murf.ai/v1/speech/stream-input` | 2 | | South Korea | `wss://kr.api.murf.ai/v1/speech/stream-input` | 2 | | UAE | `wss://me.api.murf.ai/v1/speech/stream-input` | 2 | | Japan | `wss://jp.api.murf.ai/v1/speech/stream-input` | 2 | | Australia | `wss://au.api.murf.ai/v1/speech/stream-input` | 2 | | EU (Central) | `wss://eu-central.api.murf.ai/v1/speech/stream-input` | 2 | | UK | `wss://uk.api.murf.ai/v1/speech/stream-input` | 2 | | South America (São Paulo) | `wss://sa-east.api.murf.ai/v1/speech/stream-input` | 2 |
Was this page helpful?
Previous

Synthesize Speech

Next
Built with

The channel for sending TTS requests and receiving audio responses. Use this WebSocket endpoint to stream text and receive audio in real time.

Synthesize speech with ultra-low latency over a websocket connection. Choose the Base URL from a table below (Global URL or a Region URL)

Note: Global URL auto-routes to the nearest region.

RegionURLDefault Concurrency
Global (Routes to the nearest server)https://global.api.murf.ai/v1/speech/streamRegion specific concurrency
US-Eastwss://us-east.api.murf.ai/v1/speech/stream-input15
US-Westwss://us-west.api.murf.ai/v1/speech/stream-input2
Indiawss://in.api.murf.ai/v1/speech/stream-input2
Canadawss://ca.api.murf.ai/v1/speech/stream-input2
South Koreawss://kr.api.murf.ai/v1/speech/stream-input2
UAEwss://me.api.murf.ai/v1/speech/stream-input2
Japanwss://jp.api.murf.ai/v1/speech/stream-input2
Australiawss://au.api.murf.ai/v1/speech/stream-input2
EU (Central)wss://eu-central.api.murf.ai/v1/speech/stream-input2
UKwss://uk.api.murf.ai/v1/speech/stream-input2
South America (São Paulo)wss://sa-east.api.murf.ai/v1/speech/stream-input2

Handshake

WSS
wss://global.api.murf.ai/v1/speech/stream-input

Headers

api_keystringOptional
Your Murf API key.

Query parameters

api_keystringOptional
Your Murf API key.
modelenumOptional

The model to use for audio output. Defaults to FALCON for all the regions except US-East.

Allowed values:
sample_ratestringOptionalDefaults to 24000
Valid values are 8000, 16000, 24000, 44100, 48000. Defaults to 24000 for Falcon model and 44100 for Gen2 model.
channel_typestringOptionalDefaults to MONO
The channel type for audio output.
formatstringOptionalDefaults to WAV
Audio format of the output. Valid values are MP3, FLAC, WAV, ALAW, ULAW, OGG, PCM.

Send

setVoiceConfigurationOrInitializeContextobjectRequired
OR
sendTextobjectRequired
OR
setAdvancedSettingsobjectRequired
OR
clearContextobjectRequired

Receive

audioOutputobjectRequired
OR
finalOutputobjectRequired